Skip to main content
GET
/
item
/
get_locations
Item - Get Locations
curl --request GET \
  --url https://api.skulabs.com/item/get_locations \
  --header 'Authorization: Bearer <token>'
[
  {
    "_id": "<string>",
    "name": "<string>",
    "warehouse_id": "<string>",
    "items": [
      {
        "element_id": "<string>",
        "item_id": "<string>",
        "on_hand": 123,
        "alert": 123,
        "inbound": 123
      }
    ]
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

item_id
string
required

Item ID

Example:

"507f1f77bcf86cd799439011"

Response

Item warehouse locations with inventory data

_id
string

Location ID

name
string

Location name

warehouse_id
string

Warehouse ID

items
object[]

Item inventory entries at this location